Bug 1296689 - Use cluster.watermark-hi to throttle creates on the hot tier.
Use cluster.watermark-hi to throttle creates on the hot tier.
Status: ASSIGNED
Product: GlusterFS
Classification: Community
Component: tiering (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Lambright
bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-07 16:02 EST by Dan Lambright
Modified: 2016-02-02 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Lambright 2016-01-07 16:02:08 EST
Description of problem:

cluster.min-free-disk is used for hot tier to throttle creates. On a tiered volume, it should be tier's upper watermark.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

the cluster.min-free parameter is the % limit of data that can be used

Expected results:

cluster.watermark-hi should be the limit.

Additional info:
Comment 1 Vijay Bellur 2016-01-07 17:28:57 EST
REVIEW: http://review.gluster.org/13192 (cluster/tier: WIP have watermark throttle creates on hot tier) posted (#1) for review on master by Dan Lambright (dlambrig@redhat.com)
Comment 2 Vijay Bellur 2016-01-22 17:35:54 EST
REVIEW: http://review.gluster.org/13192 (cluster/tier: WIP have watermark throttle creates on hot tier) posted (#2) for review on master by Dan Lambright (dlambrig@redhat.com)
Comment 3 Vijay Bellur 2016-02-02 17:07:03 EST
REVIEW: http://review.gluster.org/13192 (cluster/tier: WIP have watermark throttle creates on hot tier) posted (#3) for review on master by Dan Lambright (dlambrig@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.